|  | Home | Documentation | soap_wsse_digest Struct Reference updated Mon May 13 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_wsse_digest Struct Reference

Digest dictionary: linked list of ID-hash pairs. More...

`#include <wsseapi.h>`

Collaboration diagram for soap_wsse_digest:
[legend]

## Public Attributes
struct soap_wsse_digest * | next
int | done
unsigned int | level
struct soap_smd_data | smd
unsigned char | hash [SOAP_SMD_MAX_SIZE]
char | id [1]

## Detailed Description

Digest dictionary: linked list of ID-hash pairs.

The digest dictionary is populated by the soap_wsse_preparesend callback. The callback intercepts XML elements with wsu:Id attributes and computes the digest during the preprocessing of a message transmission. The 'level' field is used to determine when the end of an element is reached by handling inner wsu:Id attributed elements, so that the outer wsu:Id attributed element can be hashed.

## Member Data Documentation

int soap_wsse_digest::done

done when digest is computed

unsigned char soap_wsse_digest::hash[SOAP_SMD_MAX_SIZE]

Digest hash value

char soap_wsse_digest::id[1]

String flows down the struct

unsigned int soap_wsse_digest::level

XML element level

struct soap_wsse_digest* soap_wsse_digest::next

Next in list

struct soap_smd_data soap_wsse_digest::smd

smdevp engine context

The documentation for this struct was generated from the following file:

- wsseapi.h